%global debug_package %{nil}

Name:             protostream
Version:          3.0.4
Release:          9
Summary:          The Infinispan ProtoStream project
License:          ASL 2.0 and BSD
Url:              http://infinispan.org/
Source0:          https://github.com/infinispan/protostream/archive/%{version}.Final/%{name}-%{version}.Final.tar.gz

BuildRequires:    maven-local mvn(commons-cli:commons-cli) mvn(com.google.protobuf:protobuf-java)
BuildRequires:    mvn(com.squareup:protoparser) mvn(junit:junit) mvn(log4j:log4j:12)
BuildRequires:    mvn(net.jcip:jcip-annotations) mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:    mvn(org.apache.maven.plugins:maven-antrun-plugin) mvn(org.assertj:assertj-core)
BuildRequires:    mvn(org.apache.maven.plugins:maven-surefire-report-plugin) mvn(org.javassist:javassist)
BuildRequires:    mvn(org.codehaus.mojo:build-helper-maven-plugin) mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.codehaus.mojo:exec-maven-plugin) mvn(org.jboss.logging:jboss-logging)
BuildRequires:    mvn(org.jboss.logging:jboss-logging-processor) mvn(org.jboss.marshalling:jboss-marshalling)
BuildRequires:    mvn(org.jboss.marshalling:jboss-marshalling-river)

%description
ProtoStream is a serialization library based on Protocol buffers format for serializing structured data.

%package help
Summary:   An API documentation for protostream
Provides:  %{name}-javadoc = %{version}-%{release}
Obsoletes: %{name}-javadoc < %{version}-%{release}

%description help
This package provides help documents for protostream.

%prep
%autosetup -n %{name}-%{version}.Final -p1

%pom_xpath_set "pom:properties/pom:version.log4j" 12 parent
%pom_change_dep :log4j ::'${version.log4j}' core
%pom_remove_plugin -r :maven-source-plugin

%pom_remove_plugin -r :maven-compiler-plugin
%pom_remove_plugin :maven-shade-plugin core
%pom_remove_plugin :maven-bundle-plugin core
%pom_xpath_set "pom:project/pom:packaging" bundle core
%pom_add_plugin org.apache.felix:maven-bundle-plugin core '
<extensions>true</extensions>
<configuration>
  <excludeDependencies>true</excludeDependencies>
  <instructions>
    <Export-Package>
      ${project.groupId}.sampledomain.*;version=${project.version};-split-package:=error
    </Export-Package>
  </instructions>
</configuration>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>'

%pom_change_dep org.easytesting:fest-assert-core org.assertj:assertj-core:2.0.0  core
find ./core -name "*.java" -exec sed -i "s/org.fest.assertions/org.assertj.core/g" {} +

rm core/src/test/java/org/infinispan/protostream/impl/parser/impl/DescriptorsTest.java
rm core/src/test/java/org/infinispan/protostream/annotations/impl/ProtoSchemaBuilderTest.java

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE PROTOPARSER_LICENSE.txt

%files help -f .mfiles-javadoc

%changelog
* Wed Nov 9 2022 liyanan <liyanan32@h-partners.com>  - 3.0.4-9
- Change source

* Mon Apr 20 2020 sunguoshuai <sunguoshuai@huawei.com> - 3.0.4-8
- Remove builddeps for protobuf-compiler 

* Sat Dec 21 2019 duyeyu <duyeyu@huawei.com> - 3.0.4-7
- Package init
